#ifndef _Equ_HPP_
#define _Equ_HPP_

#include <stdio.h>
#include "../externs.hpp"
#include "../bpm.hpp"

class Equ : public Base
{
	public:

		Equ();
		~Equ();

		bool init(unsigned long s, unsigned long e);
		void draw();

	private:
        int xres;
        int yres;

        Vector **points;
        float **values;
		void renderScene(float pos, float alpha);
};

#endif
